=== debian/changelog ===
transfuse (0.5.7-1build2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:52:55 +0100

transfuse (0.5.7-1build1) hirsute; urgency=medium

  * No-change rebuild for libzip soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Mar 2021 17:45:53 +0100

transfuse (0.5.7-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Fixes issues with big endian and/or unsigned char platforms.

  [ Kartik Mistry ]
  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Wed, 13 Jan 2021 08:56:29 +0530

transfuse (0.5.6-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #977336)

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 Dec 2020 12:05:25 +0530
