=== debian/changelog ===
transfuse (0.5.8-1build6) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:21 +0100

transfuse (0.5.8-1build5) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:55:53 -0500

transfuse (0.5.8-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:05 +1100

transfuse (0.5.8-1build3) noble; urgency=high

  * No change rebuild against libzip4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:57:38 +0100

transfuse (0.5.8-1build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 12:00:50 +0100

transfuse (0.5.8-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:57:58 -0500

transfuse (0.5.8-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream relase.
  * debian/control:
    + Updated Standards-Version to 4.6.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 19 Mar 2022 19:19:02 +0530
