=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: transfuse
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake,
@@ -12,7 +13,7 @@
                libxxhash-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/TinoDidriksen/transfuse
 Vcs-Git: https://salsa.debian.org/science-team/transfuse.git
 Vcs-Browser: https://salsa.debian.org/science-team/transfuse
