=== debian/watch ===
version=4
https://github.com/TinoDidriksen/transfuse/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate
