=== debian/changelog ===
transfuse (0.6.7-1ubuntu1) questing; urgency=medium

  * Skip HTML tests failing with libxml2 2.14 for now

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 28 May 2025 12:02:56 +0000

transfuse (0.6.7-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 09:46:26 +0200

transfuse (0.6.7-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 11:16:22 +0200

ttransfuse (0.5.8-2) unstable; urgency=low

  * Fixed typo in the changelog.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 Nov 2023 09:04:57 +0530
