=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake,
@@ -13,7 +13,7 @@
                libxxhash-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/TinoDidriksen/transfuse
 Vcs-Git: https://salsa.debian.org/science-team/transfuse.git
 Vcs-Browser: https://salsa.debian.org/science-team/transfuse
