=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	shared.hpp
 	state.hpp
 	stream.hpp
-	string_view.hpp
 	xml.hpp
 
 	base64.cpp
@@ -21,6 +20,7 @@
 	format-html-fragment.cpp
 	format-odt.cpp
 	format-pptx.cpp
+	format-tei.cpp
 	format-text.cpp
 	inject.cpp
 	shared.cpp
@@ -47,15 +47,22 @@
 	)
 
 foreach(s tf-extract tf-inject tf-clean)
-	add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse ${s} DEPENDS transfuse)
-	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s} DESTINATION ${CMAKE_INSTALL_BINDIR})
+	if(WIN32)
+		add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E copy transfuse.exe ${s}.exe DEPENDS transfuse)
+		install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s}.exe DESTINATION ${CMAKE_INSTALL_BINDIR})
 
-	add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse.1 ${s}.1)
+		add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E copy transfuse.1 ${s}.1)
+	else()
+		add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse ${s} DEPENDS transfuse)
+		install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s} DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+		add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse.1 ${s}.1)
+	endif()
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${s}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 endforeach()
 
 if(BUILD_MAN)
-	add_custom_target(man ALL COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man.sh ${PROJECT_VERSION})
+	add_custom_target(man ALL COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man.sh ${PROJECT_VERSION} DEPENDS transfuse)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 else()
 	install(FILES transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
